import Home from '../views/Home/Home.vue'
/* 设备管理 */
import DeviceType from '../views/deviceManagement/DeviceType.vue'
import DeviceInfo from '../views/deviceManagement/DeviceInfo.vue'
import SubDeviceAdmin from '../views/deviceManagement/SubDeviceAdmin.vue'
import Ad from '../views/deviceManagement/Ad.vue'
/* 区域管理 */
import AreaInfo from '../views/areaManagement/AreaInfo.vue'
/* 消息管理 */
import MessageMode from '../views/messageManagement/MessageMode.vue'
import MessagePoint from '../views/messageManagement/MessagePoint.vue'
import MessageServicMer from '../views/messageManagement/MessageServicMer.vue'
import MessageTemplate from '../views/messageManagement/MessageTemplate.vue'

export default [
  {
    path: '/about',
    name: 'about',
    component: () => import(/* webpackChunkName: "about" */ '../views/About.vue')
  },
  {
		path: '/home',
		name: 'home',
		component: Home,
		children: [
			// 设备管理
			{
				path: '/deviceType',
				name: 'deviceType',
				component: DeviceType
			},
			{
				path: '/deviceInfo',
				name: 'deviceInfo',
				component: DeviceInfo
			},
			{
				path: '/subDeviceAdmin',
				name: 'subDeviceAdmin',
				component: SubDeviceAdmin
			},
			{
				path: '/home1_4',
				name: 'home1_4',
				component: Ad
			},
			// 区域管理
			{
				path: '/areaInfo',
				name: 'areaInfo',
				component: AreaInfo
			},
			// 消息管理
			{
				path: '/messageMode',
				name: 'messageMode',
				component: MessageMode
			},
			{
				path: '/messagePoint',
				name: 'messagePoint',
				component: MessagePoint
			},
			{
				path: '/messageServicMer',
				name: 'messageServicMer',
				component: MessageServicMer
			},
			{
				path: '/messageTemplate',
				name: 'messageTemplate',
				component: MessageTemplate
			}
		]
	},
]
